Subject: [TR] charging problem advice 63 TR4

From: Bob Labuz <[email-masked]>
Date: Fri, 25 Jul 2014 11:05:32 -0400

A follow up question to previous query.

Maybe it is time to convert to the alternator setup as advertised by 
British Wiring (Triumph Rescue).

Has anyone here used this particular setup? If so, any problems, gotchas?

Is there a better setup?

I have heard on this list with problems with the alternator conversion 
with the device coming loose etc.

I am not looking for a $ savings, just something that is reliable.

Thanks in advance.

Bob

** [email-masked] **

Archive: http://www.team.net/archive

---

From: Geo Hahn <[email-masked]>
Date: Fri, 25 Jul 2014 08:14:05 -0700

My TR4 had an issue wherein the red light would sometimes stay on after the
ignition was switched off.  Restarting the engine and switching it off
again would clear it.

Then one day I couldn't get it to go out with a restart so I raised the
bonnet and took a look -- there was the generator operating as a motor and
trying mightedly to turn the engine.  Good thing I tend to keep the belt a
bit on the loose side.

In the end the problem was the control box which I cleaned & adjusted.

Geo

On Fri, Jul 25, 2014 at 6:32 AM, Bob Labuz <[email-masked]> wrote:

> Hello,
>
> 63 TR4 + ground generator system.
>
> After arriving home last night after a 40m ride. I turned off the engine
> to open the garage door.
>
> Noticed the ignition light still red when key in off psn. Engine stopped
> ok.
>
> Tried restarting, ok but red light stayed on.
>
> Tried this a few times and finally the red light went off when I turned
> off the key.
>
> Tried to start the car and after a minute or so, red light went off and
> ammeter showed a + charge. So I figured maybe the control box just goofed
> up.
>
> Looked at it this AM and now there is no charge indicated by red light
> staying on and a slight discharge at the ammeter. I pulled off all
> connections to the control box and re-attached. Cleaned the contacts in the
> box.
>
> Took off the generator and hooked + to ground and - to the large terminal
> and it spun like a motor using my camper 12 battery downstairs.
>
> I put a new generator on the car and same problem. It started to charge
> for a second but then the red light came on again and small discharge.
> Tested the new generator and it does not spin. I got this on sale a number
> of years ago from TRF.
>
> So, did I test the generator correctly? Cant remember its been so long.
>
> Or is my control box toast.
>
> I remember Randal posting something about a manual to test the control box
> but I lost it.
>
> Thanks for any help.
>
> Bob
>
> Donate: http://www.team.net/donate.html
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: http://autox.team.net/mailman/
> options/triumphs/[email-masked]

---

From: Geo Hahn <[email-masked]>
Date: Fri, 25 Jul 2014 08:19:30 -0700

On Fri, Jul 25, 2014 at 8:05 AM, Bob Labuz <[email-masked]> wrote:

How many years has your charging system performed well?  In my experience
the original system can be quite reliable.

Obviously if there are other reasons at work that call for increased power
(lots of night driving, electric fans, powerful sound system, heated seats,
etc) then those are factors -- but I don't buy that reliability alone calls
for an alternator.

BTW - You would have to convert to negative ground.  Not a big deal to do
but worth noting.

Geo

---

From: "Greg Lemon" <[email-masked]>
Date: Sat, 26 Jul 2014 08:30:17 -0500

It could be the generator or the control box, there are some instructions on 
testing the control box here:

http://herald-tips-tricks.wdfiles.com/local--files/start%3Astart0/Lucas%20Fault%20Diagnosis%20Service%20Manual.pdf

I have never had much luck trying to adjust them or even test them (I never 
get figures anywhere near what the book says you are supposed to get on your 
multi-meter, but I maybe I have only worked with them when they are already 
toast), but others have reported success,

Greg Lemon